> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phishy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Delete Groups

> Deletes multiple groups based on provided identifiers



## OpenAPI

````yaml POST /groups/bulkDelete
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://base.url.com
security:
  - apiKey: []
paths:
  /groups/bulkDelete:
    post:
      description: Deletes multiple groups based on provided identifiers
      operationId: bulkDeleteGroups
      requestBody:
        description: List of group IDs to delete
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupIdsRequest'
      responses:
        '200':
          description: Groups successfully deleted
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: You do not have permission to access this resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
components:
  schemas:
    GroupIdsRequest:
      type: object
      required:
        - groupIds
      properties:
        targetIds:
          type: array
          description: Array of target IDs
          items:
            type: integer
            description: Unique identifier for a target
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    ForbiddenError:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
          description: Error code representing the type of error
          example: 403
        message:
          type: string
          description: A message describing the error
          example: You do not have permission to access this resource.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-phishy-api-key

````